use serde::{Deserialize, Serialize};
use sqlx::{self, FromRow};

#[derive(Clone, Serialize, Deserialize, Debug, FromRow)]
pub struct RawPage {
    id: i64,
    slug: String,
    title: String,
    note_id: i64,
}

#[derive(Clone, Serialize, Deserialize, Debug, FromRow)]
pub struct RawNote {
    id: i64,
    uuid: String,
    content: String,
    notetype: String,
}
